<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core">

    <h:body>

        <ui:composition template="../WEB-INF/template/Template.xhtml">

            <ui:define name="conteudo">


                <h:form>

                    <p:growl autoUpdate="true" id="growl" />
                    <p:fieldset legend="Cadastro de Endereco" >
                        <p:messages id="msg" />

                        <p:panelGrid columns="2" >

                            <f:facet name="header" >

                                Endereços

                            </f:facet>

                            <p:outputLabel value="Endereco" for="endereco" />

                            <h:panelGroup>

                                <p:inputText id="endereco" value="#{enderecoBean.endereco.endereco}" required="true" />
                                <p:message for="endereco" />

                            </h:panelGroup>

                            <h:outputLabel value="Bairro" for="bairro" />

                            <h:panelGroup>

                                <p:inputText id="bairro" value="#{enderecoBean.endereco.bairro}" required="true" />
                                <p:message for="bairro" />
                            </h:panelGroup>






                            <h:outputLabel value="Cidade" for="cidade" />

                            <h:panelGroup>

                                <p:inputText id="cidade" value="#{enderecoBean.endereco.cidade}" required="true" />
                                <p:message for="cidade" />

                            </h:panelGroup>

                            <h:outputLabel value="CEP" for="cep" />

                            <h:panelGroup>

                                <p:inputText id="cep" value="#{enderecoBean.endereco.cep}" required="true" />
                                <p:message for="cep" />


                            </h:panelGroup>


                            <f:facet name="footer" >

                                <p:commandButton value="Salvar" icon="fa-save" ajax="false" action="#{enderecoBean.salvar()}" />
                                <p:spacer width="20px" />
                                <p:commandButton value="Novo" icon="fa-save" ajax="false" action="#{enderecoBean.salvar()}" />


                            </f:facet>




                        </p:panelGrid>


                        <h:inputHidden value="#{enderecoBean.endereco.id}" />


                    </p:fieldset>

                    <p:spacer height="20px" />

                    <p:fieldset legend="Lista de Endereços">

                        <p:dataTable value="#{enderecoBean.lista}" var="endereco" id="tabela">
                            <p:column headerText="Código" style="width: 80px; text-align: center" >
                                <h:outputText value="#{endereco.id}" />
                            </p:column>

                            <p:column headerText="Endereço">
                                <h:outputText value="#{endereco.endereco}" />
                            </p:column>

                            <p:column headerText="Bairro">
                                <h:outputText value="#{endereco.bairro}" />
                            </p:column>

                            <p:column headerText="Cidade">
                                <h:outputText value="#{endereco.cidade}" />
                            </p:column>

                            <p:column headerText="CEP">
                                <h:outputText value="#{endereco.cep}" />
                            </p:column>

                            <p:column style="width: 100px; text-align: center">
                                <p:commandButton icon="ui-icon-pencil" title="Editar" ajax="false" immediate="true">
                                    <f:setPropertyActionListener target="#{enderecoBean.endereco}" value="#{endereco}" />
                                </p:commandButton>

                                <p:commandButton icon="ui-icon-trash" title="Excluir" actionListener="#{enderecoBean.excluir(endereco)}" process="@this" update="growl , tabela" />             
                            </p:column>
                        </p:dataTable>
                    </p:fieldset>
                </h:form>
            </ui:define>
        </ui:composition>
    </h:body>
</html>












































































